# Componere\Definition::getClosure

(Componere 2 >= 2.1.0)

Componere\Definition::getClosure — Obtener Cierre

### Descripción

public Componere\Definition::getClosure(string `$name`): Closure

Devolverá un cierre para el método especificado por el nombre

### Parámetros

`name`

  El nombre del método insensible a las mayúsculas y minúsculas

### Valores devueltos

Un cierre vinculado al alcance correcto

### Exceptions

Advertencia

Lanzará RuntimeException si Definition se registró

Advertencia

Lanzará RuntimeException si `name` no se pudo encontrar